textures/urban_terror/thedesert_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/urban_terror/daysky1_blend.tga

	q3map_sun 1 1 .8 20 65 80
	q3map_surfacelight 120
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/desert 512 -
}

models/mapobjects/crucified/sheet
{
	cull disable
	deformVertexes wave 100 sin 0 0.2 0 0.2

	{
		map models/mapobjects/crucified/sheet.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/sfx/zap_scroll1000zfc
{
	qer_editorimage textures/sfx/zap_scroll2.tga
	q3map_lightimage textures/sfx/zap_scroll.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	q3map_surfacelight 1000

	{
		map textures/sfx/zap_scroll.tga
		blendfunc add
		rgbGen wave triangle 0.8 2 0 7
		tcMod scroll 0 1
	}
	{
		map textures/sfx/zap_scroll.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 5
		tcMod scale -1 1
		tcMod scroll 0 1
	}
	{
		map textures/sfx/zap_scroll2.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 6.3
		tcMod scale -1 1
		tcMod scroll 2 1
	}
	{
		map textures/sfx/zap_scroll2.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 7.7
		tcMod scroll -1.3 1
	}
}

textures/zfc/chute
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		map textures/zfc/chute.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 -1
	}
}

textures/zfc/craw
{
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/zfc/craw.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/zfc/eauzfc
{
	qer_editorimage textures/liquids/pool3d_3.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5
	deformVertexes wave 10 sin 0 3 0 0.3
	qer_trans 0.5
	q3map_globaltexture

	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod scroll -0.05 -0.356
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.025 -0.354
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.25 0.5
		tcMod scroll 0.001 -0.4
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}

textures/zfc/fs_rain2zfc
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		map textures/zfc/fs_rain2zfc.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 -1
	}
}

textures/zfc/invisiblezfc
{
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/zfc/invisiblezfc.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/zfc/leafzfc
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		map textures/zfc/leafzfc.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/plant02zfc
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes wave 10 sin 0 3 0 0.5

	{
		map textures/zfc/plant02zfc.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/plants
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		map textures/zfc/plants.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/sparks_1
{
	qer_editorimage textures/zfc/sparks.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes move 7.60132 7.20208 -79.3117 sawtooth 0 1 0.933714 0.25

	{
		clampmap textures/zfc/sparks.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 0.933714 0.25
		tcMod rotate 15
		tcMod stretch sawtooth 0.5 -0.4 0.933714 0.25
		alphaGen wave sawtooth 1 0 0.933714 0.25
	}
}

textures/zfc/vines
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		map textures/zfc/vines.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/vineszfc
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		map textures/zfc/vineszfc.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/zfc_fish2
{
	qer_editorimage textures/zfc/zfc_fish2.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 15 sin 0 3 0 .5

	{
		map textures/zfc/zfc_fish2.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/zfc_fish3
{
	qer_editorimage textures/zfc/zfc_fish3.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 15 sin 0 3 0 .5

	{
		map textures/zfc/zfc_fish3.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/zfc_fish4
{
	qer_editorimage textures/zfc/zfc_fish4.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable

	{
		map textures/zfc/zfc_fish4.tga
		tcMod scroll -0.5 0
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/zfc_fish5
{
	qer_editorimage textures/zfc/zfc_fish5.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable

	{
		map textures/zfc/zfc_fish5.tga
		tcMod scroll -0.3 0
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
		depthFunc equal
	}
}

textures/zfc/zfc_glass
{
	qer_editorimage textures/zfc/zfc_glass.tga
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.5

	{
		map textures/zfc/zfc_glass.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
}

textures/zfc/zfcbridge
{
	qer_editorimage textures/zfc/zfcbridge.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip

	{
		map textures/zfc/zfcbridge.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}
textures/sfx/beam_dusty_zfc
{
	qer_editorimage textures/sfx/beam_1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		map textures/sfx/beam_1.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/botkiller/tub_river1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}

textures/ut_202/woodladder
{
        qer_editorimage textures/ut_202/woodladder_64x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/woodladder_64x64.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/lamps/flare
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 100
	cull none

	{
		map models/mapobjects/lamps/flare.tga
		blendFunc GL_ONE GL_ONE
	}
}